Subject: Re: [PATCH] hardening: Provide Kconfig fragments for basic options

From: Sam James <[email-masked]>
Date: Sat, 02 Sep 2023 07:35:07 +0100

Kees Cook <[email-masked]> writes:

> Inspired by Salvatore Mesoraca's earlier[1] efforts to provide some
> in-tree guidance for kernel hardening Kconfig options, add a new fragment
> named "hardening-basic.config" (along with some arch-specific fragments)
> that enable a basic set of kernel hardening options that have the least
> (or no) performance impact and remove a reasonable set of legacy APIs.
>
> Using this fragment is as simple as running "make hardening.config".
>
> More extreme fragments can be added[2] in the future to cover all the
> recognized hardening options, and more per-architecture files can be
> added too.
>
> For now, document the fragments directly via comments. Perhaps .rst
> documentation can be generated from them in the future (rather than the
> other way around).
>

This is likely to make life a bit easier for us downstream in Gentoo,
where we currently supply a patch for KSPP:
https://gitweb.gentoo.org/proj/linux-patches.git/tree/4567_distro-Gentoo-Kconfig.patch?h=6.4#n237.

> [1] https://lore.kernel.org/kernel-hardening/[email-masked]/
> [2] https://github.com/KSPP/linux/issues/14

best,
sam

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel